# Originally imported from mageia

Name:		xchm
Version:	1.23
Release:	%mkrel 1
Summary:	Summary CHM viewer for UNIX
License:	GPLv2+
Group:		Office
URL:		http://xchm.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	%name.xml
BuildRequires:	%{_lib}chm-devel
BuildRequires:	wxgtk2.8-devel

%description
xCHM - the CHM viewer for UNIX.

%prep
%setup -q

%build
autoreconf -fi
# until g++ is fixed, we need -Wno-deprecated-declarations to avoid the warnings (tip from AUR)
export CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing -Wno-deprecated-declarations"
%configure2_5x --with-wx-config=wx-config2.8
%make

%install
%makeinstall_std

install -Dpm 0644 %SOURCE1 %{buildroot}%{_datadir}/mime/packages/%name.xml

for resolution in 16 32 48 128; do
	dir=%{buildroot}%{_iconsdir}/hicolor/${resolution}x${resolution}/
 	mkdir -p $dir/apps $dir/mimetypes
 	install -p -m644 art/xchm-${resolution}.xpm $dir/apps/xchm.xpm
 	install -p -m644 art/xchmdoc-${resolution}.xpm $dir/mimetypes/application-x-chm.xpm
	ln -s application-x-chm.xpm $dir/mimetypes/gnome-mime-application-x-chm.xpm
done

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xchm
Comment=CHM viewer for UNIX
Exec=xchm %f
Icon=xchm
Type=Application
MimeType=application/x-chm;
Categories=GTK;Office;Viewer;
EOF

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/%name.desktop*
%{_datadir}/pixmaps/*.xpm
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/%name.xml


%changelog
* Mon Dec 25 2017 Zen Subz <techars21 at gmail dot com> - 1.23-1pclos2017
- Build for PCLinuxOS
